#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QFileDialog>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    connect(ui->actionRepertoire_de_synchro,SIGNAL(triggered()),this,SLOT(Onselectrepertoire()));
}

MainWindow::~MainWindow()
{
    delete ui;
}
void MainWindow::Onselectrepertoire()
{
   QString workingdir;
#ifdef Q_OS_WIN
   workingdir=QString("C:/");
#endif
#ifdef Q_OS_LINUX
     workingdir=QString("/home");
#endif
    QString dirpath= QFileDialog::getExistingDirectory(this, tr("répertoire"),workingdir,QFileDialog::ShowDirsOnly | QFileDialog::DontResolveSymlinks);
    synchro.setDir(dirpath);
}
