#include "sync.h"
#include <QFileInfo>
#include <QList>
#include <QFileInfoList>
#include <QStringList>
#include <QString>
#include <QMessageBox>
#include "mainwindow.h"

Sync::Sync(QObject *parent) : QObject(parent)
{
    m=(MainWindow *)parent;
    connect(&watcher,SIGNAL(directoryChanged(QString)),this,SLOT(Ondirectorychanged(QString)));
    connect(&watcher,SIGNAL(fileChanged(QString)),this,SLOT(Onfilechanged(QString)));
}
void Sync::setDir(const QString & dirpath)
{
    QStringList pathlist;
    basedir.setPath(dirpath);
    pathlist.append(dirpath);
    //aditionner tous les paths fils de dirpath à watcher recursivement
    recaddpath(dirpath,pathlist);
    watcher.addPaths(pathlist);

}

void Sync::recaddpath(const QString & dirpath,QStringList & pathlist)
{
    QDir dir(dirpath);
    QFileInfoList l=dir.entryInfoList();
    QList<QFileInfo>::iterator itf;
    itf=l.begin();
    while(itf!=l.end())
    {
        if((*itf).isDir())
        {
            if(((*itf).fileName()==".")||((*itf).fileName()==".."))
            {
                ++itf;
                continue;
            }
            //watcher.addPath((*itf).absoluteFilePath());
            pathlist.append((*itf).absoluteFilePath());
            recaddpath((*itf).absoluteFilePath(),pathlist);
        }
        else if((*itf).isFile())
        {
            //watcher.addPath((*itf).absoluteFilePath());
            pathlist.append((*itf).absoluteFilePath());
        }
        ++itf;
    }

}

void Sync::Ondirectorychanged(QString dirpath)
{

    QStringList currfilelist;
    QStringList currdirlist;
    QDir dir(dirpath);
    QFileInfoList l=dir.entryInfoList();
    QList<QFileInfo>::iterator itf;
    QStringList::iterator its,its2;
    bool bfound=false;
    QStringList childfileslist;
    QStringList childdirlist;

	QMessageBox::information((QWidget *)m, QString("signal directorychanged repertoire"), dirpath);
	
	

}
void Sync::Onfilechanged(QString filepath)
{

        QMessageBox::information((QWidget *)m, QString("signal filechanged fichier"), filepath);

}
